LatLonGCT (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class LatLonGCT

    java.lang.Object
      com.bbn.openmap.proj.coords.LatLonGCT

All Implemented Interfaces:
  GeoCoordTransformation

    public class LatLonGCT

extends java.lang.Object
implements GeoCoordTransformation

Field Summary
`static LatLonGCT` | `INSTANCE`

Constructor Summary
`LatLonGCT()`

Method Summary
`java.awt.geom.Point2D` | `forward(double lat, double lon)`
`java.awt.geom.Point2D` | `forward(double lat, double lon, java.awt.geom.Point2D ret)`
`LatLonPoint` | `inverse(double x, double y)`
`LatLonPoint` | `inverse(double x, double y, LatLonPoint ret)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final LatLonGCT INSTANCE

Constructor Detail

### LatLonGCT

    public LatLonGCT()

Method Detail

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon)

  Specified by:
    `forward` in interface `GeoCoordTransformation`

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon,
                                         java.awt.geom.Point2D ret)

  Specified by:
    `forward` in interface `GeoCoordTransformation`

### inverse

    public LatLonPoint inverse(double x,
                               double y)

  Specified by:
    `inverse` in interface `GeoCoordTransformation`

### inverse

    public LatLonPoint inverse(double x,
                               double y,
                               LatLonPoint ret)

  Specified by:
    `inverse` in interface `GeoCoordTransformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details